Skip to main content
GET
/
batches
/
{batch_id}
Retrieve batch
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phaseo.app/v1/batches/{batch_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "<string>",
  "object": "<string>",
  "endpoint": "<string>",
  "errors": {},
  "input_file_id": "<string>",
  "completion_window": "<string>",
  "status": "<string>",
  "output_file_id": "<string>",
  "error_file_id": "<string>",
  "created_at": 123,
  "in_progress_at": 123,
  "expires_at": 123,
  "finalizing_at": 123,
  "completed_at": 123,
  "failed_at": 123,
  "expired_at": 123,
  "cancelling_at": 123,
  "cancelled_at": 123,
  "request_counts": {
    "total": 123,
    "completed": 123,
    "failed": 123
  },
  "metadata": {},
  "request_id": "<string>",
  "provider": "<string>",
  "session_id": "<string>",
  "webhook": {
    "url": "<string>",
    "secret": "<string>",
    "events": [
      "<string>"
    ]
  },
  "pricing_lines": [
    {}
  ],
  "billing": {
    "billed": true,
    "charged": true,
    "reason": "<string>",
    "cost_nanos": 123,
    "cost_usd": 123,
    "finalized_at": "<string>",
    "pricing_breakdown": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt

Use this file to discover all available pages before exploring further.

Fetch the latest upstream batch object for a batch created through POST /batches.
The public batch routes are currently mounted but temporarily disabled, so this route currently returns 501 not_implemented.
Common lifecycle states include queued, processing, completed, failed, cancelled, and expired. Use POST /batches/{batch_id}/cancel when the batch should no longer continue processing.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

batch_id
string
required

The ID of the batch to retrieve.

Response

Batch status response

id
string
object
string
endpoint
string
errors
object
input_file_id
string
completion_window
string
status
string
output_file_id
string
error_file_id
string
created_at
integer
in_progress_at
integer
expires_at
integer
finalizing_at
integer
completed_at
integer
failed_at
integer
expired_at
integer
cancelling_at
integer
cancelled_at
integer
request_counts
object
metadata
object
request_id
string
provider
string
session_id
string
webhook
object
pricing_lines
object[]
billing
object
Last modified on May 19, 2026